Package tigase.conf

# Enum Class ConfigReader.CompositeVariable.Operation

java.lang.Object
java.lang.Enum<ConfigReader.CompositeVariable.Operation>
tigase.conf.ConfigReader.CompositeVariable.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigReader.CompositeVariable.Operation>`, `Constable`

Enclosing class:
  ConfigReader.CompositeVariable

public static enum ConfigReader.CompositeVariable.Operation extends Enum<ConfigReader.CompositeVariable.Operation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `add`
  `divide`
  `multiply`
  `substract`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `execute(Number arg1, Number arg2)`
  `static ConfigReader.CompositeVariable.Operation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConfigReader.CompositeVariable.Operation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### multiply

    public static final ConfigReader.CompositeVariable.Operation multiply

  - ### divide

    public static final ConfigReader.CompositeVariable.Operation divide

  - ### add

    public static final ConfigReader.CompositeVariable.Operation add

  - ### substract

    public static final ConfigReader.CompositeVariable.Operation substract

- ## Method Details

  - ### values

    public static ConfigReader.CompositeVariable.Operation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConfigReader.CompositeVariable.Operation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### execute

    public Number execute(Number arg1, Number arg2)